Subject: [Crisp] address prefix reserved for documentation

From: Engin Gunduz <[email-masked]>
Date: Tue, 28 Sep 2004 17:57:34 +0200

Hi,
Is there an rfc or other document that sets aside an IPv4
prefix for documentation? There is one for IPv6
(RFC 3849 - IPv6 Address Prefix Reserved for Documentation).
googling did not help locating a similar doc for IPv4...
-engin

_______________________________________________
Crisp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/crisp

---

From: Andrew Newton <[email-masked]>
Date: Tue, 28 Sep 2004 12:31:42 -0400

> googling did not help locating a similar doc for IPv4...

RFC 3330 says:
    192.0.2.0/24 - This block is assigned as "TEST-NET" for use in
    documentation and example code.  It is often used in conjunction with
    domain names example.com or example.net in vendor and protocol
    documentation.  Addresses within this block should not appear on the
    public Internet.

-andy

---

From: Cathy Murphy <[email-masked]>
Date: Tue, 28 Sep 2004 12:33:27 -0400 (EDT)

> googling did not help locating a similar doc for IPv4...

RFC 3330 says 192.0.2.0/24 may be used for this purpose:

Other than that, I've mostly seen RFC 1918 space used.

Regards,
-Cathy Murphy

---

From: Engin Gunduz <[email-masked]>
Date: Wed, 29 Sep 2004 10:48:04 +0200

Thanks to all.
Apparently it was only myself who didn't know about 192.0.2.0/24 ;)

I will use it for the examples in areg doc.  I hope it won't be
confusing to fit 6 or 7 ranges in a /24 in an example ... (too small?)

Like:

  A      |------------------|                     192.0.2.0  - 192.0.2.15

  B                          |------------------| 192.0.2.16 - 192.0.2.31
         
  C      |--------------|                         192.0.2.0  - 192.0.2.9

  D                          |---------------|    192.0.2.16 - 192.0.2.30

  E                          |---------------|    192.0.2.16 - 192.0.2.30

  F      |--------|                               192.0.2.0  - 192.0.2.5

  G                |----|                         192.0.2.6  - 192.0.2.9

-engin